commit: f3cfecce0ae22be302f15344de37df8665565691
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 23:14:45 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 23:30:26 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f3cfecce
dev-python/pygit2: Bump to 1.5.0
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pygit2/Manifest | 1 +
dev-python/pygit2/pygit2-1.5.0.ebuild | 40 +++++++++++++++++++++++++++++++++++
2 files changed, 41 insertions(+)
diff --git a/dev-python/pygit2/Manifest b/dev-python/pygit2/Manifest
index a2e04b6c230..8b7501760c7 100644
--- a/dev-python/pygit2/Manifest
+++ b/dev-python/pygit2/Manifest
@@ -1 +1,2 @@
DIST pygit2-1.4.0.tar.gz 244586 BLAKE2B
aa4c04ff22df31270a03107498abe095e99e196711a1939fe6f15d4cae18e94d72f1964850437c5e82d897ca74e951a5b877fb41154f3790c9fb6c926c6cfe0b
SHA512
b6b9d5028fd63593e6ecd869735132edeeb55c1fd97664be5d0d5dac0c25f844ce0d981782fad7f47e54555ab1f7fa5e87d1ad8a76340d81e1f908ad4ea1e35a
+DIST pygit2-1.5.0.tar.gz 255958 BLAKE2B
696a4c39920e7f66962b69d2a838c55bfb6f96e7e5ee56a39aaa732926accc3bb6331042382fd22f377959cbc129be0320d94765d13db95fdb7c7f87a14f7608
SHA512
3f915c855ad08641391565906023d231550a38d4e7f8938fad4634a30e2ee1c81e2a0d3289052426e21d2c14814300a0f789eaaa9f3e62c3ece73cf53803bb80
diff --git a/dev-python/pygit2/pygit2-1.5.0.ebuild
b/dev-python/pygit2/pygit2-1.5.0.ebuild
new file mode 100644
index 00000000000..15da3c0f8d4
--- /dev/null
+++ b/dev-python/pygit2/pygit2-1.5.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for libgit2"
+HOMEPAGE="https://github.com/libgit2/pygit2 https://pypi.org/project/pygit2/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="GPL-2-with-linking-exception"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ =dev-libs/libgit2-1.1*
+ dev-python/cached-property[${PYTHON_USEDEP}]
+ >=dev-python/cffi-1.0:=[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ distutils-r1_src_prepare
+
+ # unconditionally prevent it from using network
+ sed -i -e '/has_network/s:True:False:' test/utils.py || die
+
+ # we need to move them away to prevent pytest from forcing '..'
+ # for imports
+ mkdir hack || die
+ mv test hack/ || die
+ ln -s hack/test test || die
+}
+
+python_test() {
+ pytest -vv hack/test || die
+}